=== modified file 'storage/myisam/mi_packrec.c'
--- storage/myisam/mi_packrec.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_packrec.c	2008-07-06 07:03:38 +0000
@@ -15,7 +15,7 @@
 
 	/* Functions to compressed records */
 
-#include "fulltext.h"
+#include "myisamdef.h"
 
 #define IS_CHAR ((uint) 32768)		/* Bit if char (not offset) in tree */
 
@@ -271,8 +271,7 @@
       keyinfo->keylength+= (uint16) diff_length;
       keyinfo->minlength+= (uint16) diff_length;
       keyinfo->maxlength+= (uint16) diff_length;
-      keyinfo->seg[keyinfo->flag & HA_FULLTEXT ?
-                   FT_SEGS : keyinfo->keysegs].length= (uint16) rec_reflength;
+      keyinfo->seg[keyinfo->keysegs].length= (uint16) rec_reflength;
     }
     if (share->ft2_keyinfo.seg)
     {

=== modified file 'storage/myisam/mi_panic.c'
--- storage/myisam/mi_panic.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_panic.c	2008-07-06 07:03:38 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#include "fulltext.h"
+#include "myisamdef.h"
 
 	/* if flag == HA_PANIC_CLOSE then all misam files are closed */
 	/* if flag == HA_PANIC_WRITE then all misam files are unlocked and
@@ -104,7 +104,6 @@
   if (flag == HA_PANIC_CLOSE)
   {
     VOID(mi_log(0));				/* Close log if neaded */
-    ft_free_stopwords();
   }
   pthread_mutex_unlock(&THR_LOCK_myisam);
   if (!error)

=== modified file 'storage/myisam/mi_search.c'
--- storage/myisam/mi_search.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_search.c	2008-07-06 07:03:38 +0000
@@ -15,7 +15,7 @@
 
 /* key handling functions */
 
-#include "fulltext.h"
+#include "myisamdef.h"
 #include "m_ctype.h"
 
 static my_bool _mi_get_prev_key(MI_INFO *info, MI_KEYDEF *keyinfo, uchar *page,
@@ -1467,12 +1467,6 @@
   key_length=_mi_keylength(keyinfo,key)+nod_flag;
 
   sort_order=0;
-  if ((keyinfo->flag & HA_FULLTEXT) &&
-      ((keyseg->type == HA_KEYTYPE_TEXT) ||
-       (keyseg->type == HA_KEYTYPE_VARTEXT1) ||
-       (keyseg->type == HA_KEYTYPE_VARTEXT2)) &&
-      !use_strnxfrm(keyseg->charset))
-    sort_order=keyseg->charset->sort_order;
 
   /* diff flag contains how many bytes is needed to pack key */
   if (keyseg->length >= 127)

=== modified file 'storage/myisam/mi_update.c'
--- storage/myisam/mi_update.c	2008-07-06 06:01:07 +0000
+++ storage/myisam/mi_update.c	2008-07-06 07:03:38 +0000
@@ -15,7 +15,7 @@
 
 /* Update an old row in a MyISAM table */
 
-#include "fulltext.h"
+#include "myisamdef.h"
 
 int mi_update(register MI_INFO *info, const uchar *oldrec, uchar *newrec)
 {
@@ -84,25 +84,6 @@
   {
     if (mi_is_key_active(share->state.key_map, i))
     {
-      if (share->keyinfo[i].flag & HA_FULLTEXT )
-      {
-	if (_mi_ft_cmp(info,i,oldrec, newrec))
-	{
-	  if ((int) i == info->lastinx)
-	  {
-	  /*
-	    We are changeing the index we are reading on.  Mark that
-	    the index data has changed and we need to do a full search
-	    when doing read-next
-	  */
-	    key_changed|=HA_STATE_WRITTEN;
-	  }
-	  changed|=((ulonglong) 1 << i);
-	  if (_mi_ft_update(info,i, old_key,oldrec,newrec,pos))
-	    goto err;
-	}
-      }
-      else
       {
 	uint new_length=_mi_make_key(info,i,new_key,newrec,pos);
 	uint old_length=_mi_make_key(info,i,old_key,oldrec,pos);
@@ -200,13 +181,6 @@
     {
       if (((ulonglong) 1 << i) & changed)
       {
-	if (share->keyinfo[i].flag & HA_FULLTEXT)
-	{
-	  if ((flag++ && _mi_ft_del(info,i, new_key,newrec,pos)) ||
-	      _mi_ft_add(info,i, old_key,oldrec,pos))
-	    break;
-	}
-	else
 	{
 	  uint new_length=_mi_make_key(info,i,new_key,newrec,pos);
 	  uint old_length= _mi_make_key(info,i,old_key,oldrec,pos);

=== modified file 'storage/myisam/mi_write.c'
--- storage/myisam/mi_write.c	2008-07-06 06:01:07 +0000
+++ storage/myisam/mi_write.c	2008-07-06 07:03:38 +0000
@@ -108,17 +108,6 @@
 	rw_wrlock(&share->key_root_lock[i]);
 	share->keyinfo[i].version++;
       }
-      if (share->keyinfo[i].flag & HA_FULLTEXT )
-      {
-        if (_mi_ft_add(info,i, buff, record, filepos))
-        {
-	  if (local_lock_tree)
-	    rw_unlock(&share->key_root_lock[i]);
-          DBUG_PRINT("error",("Got error: %d on write",my_errno));
-          goto err;
-        }
-      }
-      else
       {
         if (share->keyinfo[i].ck_insert(info,i,buff,
 			_mi_make_key(info,i,buff,record,filepos)))
@@ -195,16 +184,6 @@
                                     is_tree_inited(&info->bulk_insert[i])));
 	if (local_lock_tree)
 	  rw_wrlock(&share->key_root_lock[i]);
-	if (share->keyinfo[i].flag & HA_FULLTEXT)
-        {
-          if (_mi_ft_del(info,i, buff,record,filepos))
-	  {
-	    if (local_lock_tree)
-	      rw_unlock(&share->key_root_lock[i]);
-            break;
-	  }
-        }
-        else
 	{
 	  uint key_length=_mi_make_key(info,i,buff,record,filepos);
 	  if (_mi_ck_delete(info,i,buff,key_length))
@@ -266,7 +245,7 @@
 
   if (keyinfo->flag & HA_SORT_ALLOWS_SAME)
     comp_flag=SEARCH_BIGGER;			/* Put after same key */
-  else if (keyinfo->flag & (HA_NOSAME|HA_FULLTEXT))
+  else if (keyinfo->flag & (HA_NOSAME))
   {
     comp_flag=SEARCH_FIND | SEARCH_UPDATE;	/* No duplicates */
     if (keyinfo->flag & HA_NULL_ARE_EQUAL)
@@ -368,42 +347,6 @@
     else
       dupp_key_pos= HA_OFFSET_ERROR;
 
-    if (keyinfo->flag & HA_FULLTEXT)
-    {
-      uint off;
-      int  subkeys;
-
-      get_key_full_length_rdonly(off, keybuff);
-      subkeys=ft_sintXkorr(keybuff+off);
-      comp_flag=SEARCH_SAME;
-      if (subkeys >= 0)
-      {
-        /* normal word, one-level tree structure */
-        flag=(*keyinfo->bin_search)(info, keyinfo, temp_buff, key,
-                                    USE_WHOLE_KEY, comp_flag,
-                                    &keypos, keybuff, &was_last_key);
-      }
-      else
-      {
-        /* popular word. two-level tree. going down */
-        my_off_t root=dupp_key_pos;
-        keyinfo=&info->s->ft2_keyinfo;
-        get_key_full_length_rdonly(off, key);
-        key+=off;
-        keypos-=keyinfo->keylength+nod_flag; /* we'll modify key entry 'in vivo' */
-        error=_mi_ck_real_write_btree(info, keyinfo, key, 0,
-                                      &root, comp_flag);
-        _mi_dpointer(info, keypos+HA_FT_WLEN, root);
-        subkeys--; /* should there be underflow protection ? */
-        DBUG_ASSERT(subkeys < 0);
-        ft_intXstore(keypos, subkeys);
-        if (!error)
-          error=_mi_write_keypage(info,keyinfo,page,DFLT_INIT_HITS,temp_buff);
-        my_afree((uchar*) temp_buff);
-        DBUG_RETURN(error);
-      }
-    }
-    else /* not HA_FULLTEXT, normal HA_NOSAME key */
     {
       info->dupp_key_pos= dupp_key_pos;
       my_afree((uchar*) temp_buff);
@@ -519,53 +462,6 @@
   mi_putint(anc_buff,a_length,nod_flag);
   if (a_length <= keyinfo->block_length)
   {
-    if (keyinfo->block_length - a_length < 32 &&
-        keyinfo->flag & HA_FULLTEXT && key_pos == endpos &&
-        info->s->base.key_reflength <= info->s->base.rec_reflength &&
-        info->s->options & (HA_OPTION_PACK_RECORD | HA_OPTION_COMPRESS_RECORD))
-    {
-      /*
-        Normal word. One-level tree. Page is almost full.
-        Let's consider converting.
-        We'll compare 'key' and the first key at anc_buff
-       */
-      uchar *a=key, *b=anc_buff+2+nod_flag;
-      uint alen, blen, ft2len=info->s->ft2_keyinfo.keylength;
-      /* the very first key on the page is always unpacked */
-      DBUG_ASSERT((*b & 128) == 0);
-#if HA_FT_MAXLEN >= 127
-      blen= mi_uint2korr(b); b+=2;
-#else
-      blen= *b++;
-#endif
-      get_key_length(alen,a);
-      DBUG_ASSERT(info->ft1_to_ft2==0);
-      if (alen == blen &&
-          ha_compare_text(keyinfo->seg->charset, a, alen, b, blen, 0, 0)==0)
-      {
-        /* yup. converting */
-        info->ft1_to_ft2=(DYNAMIC_ARRAY *)
-          my_malloc(sizeof(DYNAMIC_ARRAY), MYF(MY_WME));
-        my_init_dynamic_array(info->ft1_to_ft2, ft2len, 300, 50);
-
-        /*
-          now, adding all keys from the page to dynarray
-          if the page is a leaf (if not keys will be deleted later)
-        */
-        if (!nod_flag)
-        {
-          /* let's leave the first key on the page, though, because
-             we cannot easily dispatch an empty page here */
-          b+=blen+ft2len+2;
-          for (a=anc_buff+a_length ; b < a ; b+=ft2len+2)
-            insert_dynamic(info->ft1_to_ft2, b);
-
-          /* fixing the page's length - it contains only one key now */
-          mi_putint(anc_buff,2+blen+ft2len+2,0);
-        }
-        /* the rest will be done when we're back from recursion */
-      }
-    }
     DBUG_RETURN(0);				/* There is room on page */
   }
   /* Page is full */

